Temporarily close store
curl --request POST \
--url https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/temporary-close \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"closedUntilDate": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/temporary-close"
payload = { "closedUntilDate": "2023-11-07T05:31:56Z" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({closedUntilDate: '2023-11-07T05:31:56Z'})
};
fetch('https://api.service.getjusto.com/v3/ecommerce/stores/{storeId}/temporary-close', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"_id": "<string>",
"websiteId": "<string>",
"name": "Providencia",
"acceptDelivery": true,
"acceptServe": true,
"acceptGo": true,
"currentPreparationDuration": 123,
"currentDeliveryDuration": 123,
"phone": "<string>",
"address": {
"_id": "<string>",
"placeId": "<string>",
"address": "Av. Apoquindo 3000",
"addressLine2": "<string>",
"addressSecondary": "<string>",
"streetAddress": "<string>",
"extendedAddress": "<string>",
"locality": "<string>",
"region": "<string>",
"postalCode": "<string>",
"countryCode": "<string>",
"countryName": "<string>",
"location": {
"lat": -33.4489,
"lng": -70.6693
}
},
"externalId": "<string>",
"timezone": "America/Lima",
"schedule": {
"closedUntilDate": "2020-01-01T00:00:00.000Z",
"openPeriods": [
{
"daysOfWeek": [
123
],
"fromMinute": 123,
"toMinute": 123
}
],
"closedDays": [
"<string>"
]
}
}
}{
"success": "false",
"error": {
"error": "error",
"message": "The request has an error"
}
}Locales
Temporarily close store
POST
/
ecommerce
/
stores
/
{storeId}
/
temporary-close
Temporarily close store
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
ID Justo o ID externo del local.
Body
application/json
Fecha hasta la que el local estará cerrado. Si se envía null o se omite, se elimina el cierre temporal.
⌘I